Bug 135455 - Replace "low quality" error message when memory parity errors.
Replace "low quality" error message when memory parity errors.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
: FutureFeature
Depends On:
Blocks: 142602
  Show dependency treegraph
 
Reported: 2004-10-12 16:00 EDT by David Lehman
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 15:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2004-10-12 16:00:44 EDT
Current message is:
  printk("Uhhuh. NMI received. Dazed and confused, but trying to continue\n");
  printk("You probably have a hardware problem with your RAM chips\n");

AOL would prefer it be more descriptive and more professional, like:
  printk("NMI received. Memory parity error detected. Attempting to continue.\n");
  printk("You probably have a hardware problem with your RAM chips\n");

The message is inside a function called mem_parity_error in
arch/{i386,x86_64}/kernel/traps.c
Comment 6 Larry Woodman 2005-02-08 17:54:12 EST
What type of a change are we looking at making here?

Currently mem_parity_error for both x86 and x86_64 print out this:
>>>"Uhhuh. NMI received. Dazed and confused, but trying to continue"
>>>"You probably have a hardware problem with your RAM chips"

Shall we change it to something like this?
>>>"NMI memory parity error recieved, trying to continue"
>>>"This might indicate that the RAM has incurred a hardware error."


Larry Woodman
Comment 11 Ernie Petrides 2005-09-21 15:38:57 EDT
There was a lengthly internal debate about generating "more professional
error messages" for serious kernel problems.  During this discussion,
which was in February of 2005, the idea of making such changes (deviating
from Upstream) was shot down.

Thus, I'm closing this as WONTFIX and removing it from the U7 Proposed list.

Note You need to log in before you can comment on or make changes to this bug.